summaryrefslogtreecommitdiffstats
path: root/libraries/libnfnetlink
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 22:54:10 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:10 +0200
commit492a188fd20be2eabe51d52d55869e4f3405ab9d (patch)
treed9d675fcb7e8b8f4920e09bed676ea0c43319ab7 /libraries/libnfnetlink
parentfac13718f8cb20e7ed9829652dedb68264f919a2 (diff)
downloadslackbuilds-492a188fd20be2eabe51d52d55869e4f3405ab9d.tar.gz
slackbuilds-492a188fd20be2eabe51d52d55869e4f3405ab9d.tar.xz
libraries/libnfnetlink: Added to 12.1 repository
Diffstat (limited to 'libraries/libnfnetlink')
-rw-r--r--libraries/libnfnetlink/README7
-rw-r--r--libraries/libnfnetlink/libnfnetlink.SlackBuild81
-rw-r--r--libraries/libnfnetlink/libnfnetlink.info8
-rw-r--r--libraries/libnfnetlink/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/libraries/libnfnetlink/README b/libraries/libnfnetlink/README
new file mode 100644
index 0000000000..54e0663c20
--- /dev/null
+++ b/libraries/libnfnetlink/README
@@ -0,0 +1,7 @@
+libnfnetlink is the low-level library for netfilter related
+kernel/userspace communication. It provides a generic messaging
+infrastructure for in-kernel netfilter subsystems (such as
+nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) and their
+respective users and/or management tools in userspace.
+This library is not meant as a public API for application
+developers; it is only used by other netfilter.org projects.
diff --git a/libraries/libnfnetlink/libnfnetlink.SlackBuild b/libraries/libnfnetlink/libnfnetlink.SlackBuild
new file mode 100644
index 0000000000..1ee8d8674a
--- /dev/null
+++ b/libraries/libnfnetlink/libnfnetlink.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for libnfnetlink
+
+# Copyright 2006-2008 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libnfnetlink
+VERSION=0.0.39
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libnfnetlink/libnfnetlink.info b/libraries/libnfnetlink/libnfnetlink.info
new file mode 100644
index 0000000000..f226843eca
--- /dev/null
+++ b/libraries/libnfnetlink/libnfnetlink.info
@@ -0,0 +1,8 @@
+PRGNAM="libnfnetlink"
+VERSION="0.0.39"
+HOMEPAGE="http://www.netfilter.org/projects/libnfnetlink/"
+DOWNLOAD="http://www.netfilter.org/projects/libnfnetlink/files/libnfnetlink-0.0.39.tar.bz2"
+MD5SUM="348fed8c1edbe5b873ffc7b192140093"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="David Somero"
diff --git a/libraries/libnfnetlink/slack-desc b/libraries/libnfnetlink/slack-desc
new file mode 100644
index 0000000000..43966ce030
--- /dev/null
+++ b/libraries/libnfnetlink/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+libnfnetlink: libnfnetlink (library for netfilter kernel/userspace comm)
+libnfnetlink:
+libnfnetlink: libnfnetlink is the low-level library for netfilter related
+libnfnetlink: kernel/userspace communication. It provides a generic messaging
+libnfnetlink: infrastructure for in-kernel netfilter subsystems (such as
+libnfnetlink: nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) and their
+libnfnetlink: respective users and/or management tools in userspace.
+libnfnetlink:
+libnfnetlink: This library is not meant as a public API for application
+libnfnetlink: developers; it is only used by other netfilter.org projects.
+libnfnetlink: